Author: jfrederic.clere(a)jboss.com
Date: 2011-07-14 05:50:25 -0400 (Thu, 14 Jul 2011)
New Revision: 2801
Modified:
trunk/build/unix/buildbin.jboss-native.sh
Log:
Oops CFLAGS should before the .configure.
Modified: trunk/build/unix/buildbin.jboss-native.sh
===================================================================
--- trunk/build/unix/buildbin.jboss-native.sh 2011-07-14 07:42:46 UTC (rev 2800)
+++ trunk/build/unix/buildbin.jboss-native.sh 2011-07-14 09:50:25 UTC (rev 2801)
@@ -66,6 +66,8 @@
add_conf="${add_conf} CFLAGS=${CFLAGS}"
fi
;;
+ *)
+ ;;
esac
mkdir -p ${output_loc}/bin/${output_lib}
@@ -75,11 +77,31 @@
# Build native part.
(cd $native_sources
echo "Configuring tomcat-native: ./configure {add_conf} --with-apr=${common_loc}
--prefix=${prefix_loc} -enable-layout=generic"
- ./configure ${add_conf} --with-apr=${common_loc} --prefix=${prefix_loc}
-enable-layout=generic
- if [ $? -ne 0 ]; then
- echo "Configure tomcat-native failed"
- exit 1
- fi
+ case ${BUILD_SYS} in
+ macosx-x86)
+ if [ "x${CFLAGS}" != "x" ]; then
+ CFLAGS=${CFLAGS} ./configure ${add_conf} --with-apr=${common_loc}
--prefix=${prefix_loc} -enable-layout=generic
+ if [ $? -ne 0 ]; then
+ echo "Configure tomcat-native failed"
+ exit 1
+ fi
+ else
+ CFLAGS=${CFLAGS} ./configure ${add_conf} --with-apr=${common_loc}
--prefix=${prefix_loc} -enable-layout=generic
+ if [ $? -ne 0 ]; then
+ echo "Configure tomcat-native failed"
+ exit 1
+ fi
+ fi
+ ;;
+ *)
+ ./configure ${add_conf} --with-apr=${common_loc} --prefix=${prefix_loc}
-enable-layout=generic
+ if [ $? -ne 0 ]; then
+ echo "Configure tomcat-native failed"
+ exit 1
+ fi
+ ;;
+ esac
+
echo "Building tomcat-native"
make
if [ $? -ne 0 ]; then
Show replies by date